Skip to content

SNMP (Template) ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getSnmpSettingTemplateGETGet SNMP template setting
modifySnmpSettingTemplatePATCHModify SNMP template setting

getSnmpSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/snmp

Get SNMP template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSnmpSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get SNMP template setting info of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

modifySnmpSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/snmp

Modify SNMP template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SnmpSettingOpenApiVO

FieldTypeRequiredDescription
snmpV1V2CEnablebooleanyesSNMPv1 & SNMPv2c enable status
communityStringstringnoCommunity string, valid when parameter [snmpV1V2CEnable] is true. The communityString should contain at least 10 characters, using a combination of numbers, letters or special characters. The communityString should not contain consecutive identical characters.
snmpV3EnablebooleanyesSNMPv3 enable status
usernamestringnoUsername, valid when parameter [snmpV3Enable] is true. Username should contain 1 to 30 characters
passwordstringnoThe password should contain at least 10 characters, using a combination of numbers, letters or special characters. The password should not contain consecutive identical characters. Username and Password should not be the same.
securityLevelintegernoSecurity Level should be a value as follows: 0: NoAuthNoPriv; 1: AuthNoPriv; 2: AuthPriv
authModeintegernoAuthentication Mode should be a value as follows: 1: MD5; 2: SHA. When Security Level is AuthNoPriv or AuthPriv, this field is required
privacyModeintegernoPrivacy Mode should be a value as follows: 1: DES; 2: AES. When Security Level is AuthPriv, this field is required
privacyPasswordstringnoThe privacy password should contain at least 10 characters, using a combination of numbers, letters or special characters. The privacy password should not contain consecutive identical characters. Username and privacy password should not be the same.
locationstringnoLocation
contactstringnoContact
json
// omada_call_operation
{
  "operationId": "modifySnmpSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SNMP template setting info of the site with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-34503 - Community String cannot be the same as the username.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.